broadcast_tx_async

Returns right away, with no response. Does not wait for CheckTx nor DeliverTx results.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

If you want to be sure that the transaction is included in a block, you can subscribe for the result using JSONRPC via a websocket. See https://docs.cometbft.com/v0.34/core/subscription.html If you haven't received anything after a couple of blocks, resend it. If the same happens again, send it to some other node. A few reasons why it could happen:

  1. malicious node can drop or pretend it had committed your tx
  2. malicious proposer (not necessary the one you're communicating with) can drop transactions, which might become valid in the future (https://github.com/tendermint/tendermint/issues/3322)
  3. node can be offline

Please refer to https://docs.cometbft.com/v0.34/core/using-cometbft.html#formatting for formatting/encoding rules.

Parameters

  • OBJECT - parameters
    • hash: STRING - hash of transaction to retrieve
curl https://cosmos-mainnet-archive.allthatnode.com:26657/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--header "Content-Type: application/json" \
--data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "broadcast_tx_async",
  "params": {
    "tx": "b0XPyHNC8jIvYhQL6u2ZHav5HU6kDalNvYvd5yxJgok="
  }
}'

Returns

  • OBJECT - Transaction information
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "code": 0,
        "data": "",
        "log": "",
        "codespace": "",
        "hash": "E3B0C44298FC1C149AFBF4C8996FB92427AE41E4649B934CA495991B7852B855"
    }
}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Query Params
string
Body Params
string
required
Defaults to 2.0
int32
required
Defaults to 1
string
required
Defaults to dial_peers
params
object
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!